---
title: "This month in Co-op Cloud June 2021"
date: 2021-07-01T13:17:04+05:00
draft: false
image: "/img/comradeingreen.jpg"
description: "Our monthly updates for June 2021"
---

We're inspired by the ["This Week in Matrix"](https://matrix.org/blog/category/this-week-in-matrix/) style logging so we decided we will give it a shot ourselves but at a slower rhythm. We'll try to write up something each month to keep folks updated on what is going on with the project. Here we gooooooo...

<!--more-->

### Culture of Solidarity Fund

We've received funding which will allow us to focus on releasing a stable beta release of Co-op Cloud :tada: :fireworks: :sparkles:

Read more in [the announcement post](/blog/our-new-blog-and-some-project-announcements/). We're Very Excited :rainbow:.

### Github mirroring

The awkward question of whether or not to have our source code on Github (yanno, because `M$`) has been hanging around and we decided to take some steps to remedy that. Typically, some people find it easier to contribute to projects when they are on Github for `$reasons`.

Our solution has been to [set up an hourly automated Gitea -> Github mirror job](https://git.autonomic.zone/coop-cloud/auto-mirror). If you want to raise issues/PRs/etc. on those repositories, go ahead! We'll get notifications and respond when we can.

We're currently running an "invite only" mode on our self-hosted [git.autonomic.zone](https://git.autonomic.zone) instance and if you'd like an account, please come and chat to us. We're more than happy to give out accounts to people who want to work on the project and it is a good reason to ditch Github and check out alternative Git hosting software :ok_hand:

### App release automation

We've been working on automating the release of new versions of our apps. As we use upstream container images for each app, we can use the excellent [renovate-bot](https://git.autonomic.zone/autonomic-cooperative/renovate-bot) to automatically submit pull requests and merge minor or patch version upgrades in our app configuration repositories (e.g. [coop-cloud/nextcloud#12](https://git.autonomic.zone/coop-cloud/nextcloud/pulls/12))

We are also working on having a machine-readable apps catalogue available at [apps.coopcloud.tech](https://apps.coopcloud.tech/) which is now automatically updated every day via [coop-cloud/auto-apps-json](https://git.autonomic.zone/coop-cloud/auto-apps-json). The idea is that [`abra`](https://git.autonomic.zone/coop-cloud/abra) then reads this JSON file and learns which versions of which apps are available to be deployed.

We're still missing some testing in between to assure that each app version that is published is reliable to upgrade but this is Coming Soon :tm:. This is all very much still a work in progress.

We're experimenting with different forms of automation not because "it is cool" but instead to try and build up more processes that complement our work rhythms and make it easier to manage the growing responsibilities of the project. We find a similar approach to automation expressed by [The Tech Learning Collective](https://techlearningcollective.com/workshops/Automate-All-the-Things-Infrastructure-as-Code-Primer).

### New release of `abra`

A new release (`9.0.0`, still alpha!) of our command-line client came out recently and you can catch the change log [here](https://git.autonomic.zone/coop-cloud/abra/src/branch/main/CHANGELOG.md#abra-9-0-0-2021-06-10) and the [install](https://git.autonomic.zone/coop-cloud/abra#install) and [update](https://git.autonomic.zone/coop-cloud/abra#update) instructions if you'd like to take it for a test run. If you run into any bugs, inconsistencies or anything is unclear, please feel free to [raise a ticket](https://git.autonomic.zone/coop-cloud/abra/issues).

### Newly packaged apps

There are some new apps this month :heart_eyes:

- [go-ssb-room](https://git.autonomic.zone/coop-cloud/go-ssb-room): SSB room server implemented in Go
- [Peertube](https://git.autonomic.zone/coop-cloud/peertube): An ActivityPub-federated video streaming platform using P2P directly in your web browser
- [GoToSocial](https://git.autonomic.zone/coop-cloud/gotosocial): Golang fediverse server
- [Mastodon](https://git.autonomic.zone/coop-cloud/mastodon): Your self-hosted, globally interconnected microblogging community
- [Hometown](https://git.autonomic.zone/coop-cloud/hometown): A supported fork of Mastodon that provides local posting and a wider range of content types
- [keycloak-collective-portal](https://git.autonomic.zone/coop-cloud/keycloak-collective-portal): Community Keycloak SSO user management

### Open Collective and paying for contributions

We've opened [an Open Collective](https://opencollective.com/coop-cloud) account! There has been some brief chats about how to make the project financially sustainable for people who would like to get involved. The world of libre software infrastructure is [tremendously unsustainable](https://www.fordfoundation.org/media/2976/roads-and-bridges-the-unseen-labor-behind-our-digital-infrastructure.pdf) and is often only accessible to people who have the free time and capacity to do unpaid volunteer work. We want to compensate all contributions to this project ("non-technical" tasks and care work also!) and build a flourishing, independent and economically sustainable project. Self organising the distribution of money can certainly help with that. If you have any experience with thinking through libre software project sustainability and compensation models, [please get in touch](mailto:helo@coopcloud.tech).

### Community contributions

- [@knoflook](https://git.autonomic.zone/knoflook) took a pass on our "Deploy your first app" documentation in [#14](https://git.autonomic.zone/coop-cloud/docs.coopcloud.tech/pulls/14) :sun_with_face:
- [@mirsal](https://git.autonomic.zone/mirsal) did the majority of the packaging work for [Peertube](https://git.autonomic.zone/coop-cloud/peertube) :100:
- [@ahdinosaur](https://github.com/Coop-Cloud/traefik/commits?author=ahdinosaur) implemented both wildcard domain and OVH provider support in our traefik app in [`2c81622d`](https://github.com/Coop-Cloud/traefik/commit/2c81622d9ad3d796aaac61cde752ac2d2e510974) :tada:

As mentioned above, we want to compensate these contributions. We will be getting to this sooner rather than later once we get all the money things ironed out.

---

As always, if any of this sounds interesting, please drop by [our Matrix space](https://app.element.io/#/room/!xSMwGbdVehScXcIFwS:autonomic.zone?via=autonomic.zone) and say hello :wave:. We'd love to hear from you and to have a chat about what you think of the project and how it might be useful for you :heartpulse: You can also follow the project on [Twitter](https://twitter.com/Coop_Cloud) and/or [the Fediverse](https://social.coop/@coopcloud).
